db_backend_sqlite_statement Struct Reference

## Data Fields

db_backend_sqlite_t * | backend_sqlite
sqlite3_stmt * | statement
int | fields
const db_object_t * | object

## Detailed Description

The SQLite database backend specific data for walking a result.

Definition at line 79 of file db_backend_sqlite.c.

## Field Documentation

## backend_sqlite

db_backend_sqlite_t* db_backend_sqlite_statement::backend_sqlite

Definition at line 80 of file db_backend_sqlite.c.

## fields

int db_backend_sqlite_statement::fields

Definition at line 82 of file db_backend_sqlite.c.

## object

const db_object_t* db_backend_sqlite_statement::object

Definition at line 83 of file db_backend_sqlite.c.

## statement

sqlite3_stmt* db_backend_sqlite_statement::statement

Definition at line 81 of file db_backend_sqlite.c.

The documentation for this struct was generated from the following file:

- src/db/db_backend_sqlite.c